Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jdesktop.swingx.plaf
Class ErrorPaneUI

    java.lang.Object
      javax.swing.plaf.ComponentUI
          javax.swing.plaf.PanelUI
              org.jdesktop.swingx.plaf.ErrorPaneUI

Direct Known Subclasses:
  BasicErrorPaneUI

    public abstract class ErrorPaneUI

extends javax.swing.plaf.PanelUI

The ComponentUI for a JXErrorPane.

Author:
  rbair

Constructor Summary
`ErrorPaneUI()`

Method Summary
`abstract java.awt.Dimension` | `calculatePreferredSize()` Calculates default prefered size for JXErrorPane on given platform/LAF.
`abstract javax.swing.JDialog` | `getErrorDialog(java.awt.Component owner)` Creates new ErrorPane wrapped in the dialog window centered at provided owner component.
`abstract javax.swing.JFrame` | `getErrorFrame(java.awt.Component owner)` Creates new ErrorPane wrapped in the frame window centered at provided owner component.
`abstract javax.swing.JInternalFrame` | `getErrorInternalFrame(java.awt.Component owner)` Creates new ErrorPane wrapped in the internal frame window centered at provided owner component.

Methods inherited from class javax.swing.plaf.ComponentUI
`contains, createUI, getAccessibleChild, getAccessibleChildrenCount, getBaseline, getBaselineResizeBehavior, getMaximumSize, getMinimumSize, getPreferredSize, installUI, paint, uninstallUI, update`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ErrorPaneUI

    public ErrorPaneUI()

Method Detail

### getErrorFrame

    public abstract javax.swing.JFrame getErrorFrame(java.awt.Component owner)

  Creates new ErrorPane wrapped in the frame window centered at provided owner component.

  Parameters:
    `owner` - component to center created error frame at.
  Returns:
    New ErrorPane instance wrapped in JFrame.

### getErrorDialog

    public abstract javax.swing.JDialog getErrorDialog(java.awt.Component owner)

  Creates new ErrorPane wrapped in the dialog window centered at provided owner component.

  Parameters:
    `owner` - component to center created error dialog at.
  Returns:
    New ErrorPane instance wrapped in JDialog.

### getErrorInternalFrame

    public abstract javax.swing.JInternalFrame getErrorInternalFrame(java.awt.Component owner)

  Creates new ErrorPane wrapped in the internal frame window centered at provided owner component.

  Parameters:
    `owner` - component to center created error frame at.
  Returns:
    New ErrorPane instance wrapped in JInternalFrame.

### calculatePreferredSize

    public abstract java.awt.Dimension calculatePreferredSize()

  Calculates default prefered size for JXErrorPane on given platform/LAF.

  Returns:
    Preferred size.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010. All Rights Reserved.